package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag701;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT701Creator;

/**
 * @author wanggang
 * @date 2023-03-03
 */
public class Tag46ACreator extends AbsTagCreate {

     private MT701Creator mt701Creator;

    public Tag46ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt701Creator= (MT701Creator) absMTCreator;
    }

    public void creator()
    {
        String tag46AValue = mt701Creator.getDocumentsRequired();
        mt701Creator.set("46A", tag46AValue);
    }
}

